name: Deploy Hugo Site
run-name: ${{ gitea.actor }} is deploying
on:
  push:
    branches:
      - master

jobs:
  Deploy Batch Tools on beta.batch.tools:
    runs-on: node-18
    steps:
      - name: Check out repository code
        uses: actions/checkout@v3
      - name: Install Tailwind and build
        run: | 
          cd ./themes/bluewater
          npm install
          npm run build
          cd ../..
      - name: Setup Hugo
        uses: peaceiris/actions-hugo@v2
        with:
          hugo-version: 'latest'
          extended: true
      - name: Build Page
        run: |
          hugo --minify
      - name: Create SSH keys
        run: |
          mkdir -p ~/.ssh/
          echo "${{ secrets.SSH_KEY }}" > ~/.ssh/id_rsa
          echo "${{ secrets.KNOWN_HOSTS }}" > ~/.ssh/known_hosts
          chmod 600 ~/.ssh/id_rsa          
      - name: Install rsync
        run: |
          apt-get update
          apt-get install rsync -y
      - name: Move Files
        run: |
          rsync -r --delete ./public/ kossa@docker.kollar.cloud:/opt/docker/volumes/knaeckeboot.eu/